Bug 130712 - RHEL3 U7: Add SMART capabilities to libata.
Summary: RHEL3 U7: Add SMART capabilities to libata.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL: IT_40177
Whiteboard: Kernel
Keywords: FutureFeature
Depends On:
Blocks: 168426
TreeView+ depends on / blocked
 
Reported: 2004-08-23 21:04 UTC by Susan Denham
Modified: 2007-11-30 22:07 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-15 15:38:54 UTC


Attachments (Terms of Use)
tg3-bcm5752-support.patch (1.22 KB, patch)
2005-02-02 21:32 UTC, John W. Linville
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Susan Denham 2004-08-23 21:04:34 UTC
 

Comment 1 Susan Denham 2004-08-23 21:17:58 UTC
Have requested business justfication from Dell.

Comment 2 Robert Perkins 2004-08-27 14:20:13 UTC
What the heck is this?

Comment 3 dff 2004-08-31 13:41:58 UTC
libata part of the device driver stack for SATA support.

SMART is Self-Monitoring Analysis and Reporting Technology.  It's basically a
system for disks to alert the OS "hey, I'm about to fail."

So, this request is apparently for SMART support for SATA devices.

Comment 5 Robert Perkins 2004-09-09 02:46:33 UTC
Deferring to U5; missed the cutoff.

Comment 9 Jeff Garzik 2004-12-16 23:51:23 UTC
Yes, SMART code exists for libata, and has for a while.

We're waiting on two things:
1) SCSI technical committee to finalize the specification that allows "ATA
passthru", assigning critical opcode numbers, thus enabling submission of random
ATA commands -- ATA SMART commands in this case.

2) Someone to take 30 seconds and create a patch that filters out a few ATA
commands (not SMART related) that are not properly handled yet by the driver.

Number 1 just happened days ago, so this feature just takes a tiny bit of time.

It's already seen some community testing, for many weeks now, in its present form.


Comment 10 Robert Perkins 2005-01-05 15:54:37 UTC
Seems simple, reconfirming as desirable in RHEL3 U5.  If not simple, please put
back into ASSIGN_TO_PM

Comment 12 John W. Linville 2005-01-31 20:48:17 UTC
The ATA command pass-through code will also require updates -- four revisions of
the spec have passed-by since the code was implemented...

Comment 13 John W. Linville 2005-02-02 21:32:19 UTC
Created attachment 110575 [details]
tg3-bcm5752-support.patch

This patch seems to work...will need to be cleaned-up, of course...

Comment 14 John W. Linville 2005-02-03 13:11:54 UTC
Doh!  Disregard that patch!  Too many bugzilla entries open at once...

Comment 15 Larry Troan 2005-06-09 01:41:22 UTC
Dell requesting for RHEL3U7.

Comment 16 Larry Troan 2005-06-09 01:42:31 UTC
Changing Summary to U7 becasue IT creating it requesting U7 implementation.

Comment 18 Larry Troan 2005-10-07 14:44:41 UTC
This enhancement request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux maintenance release.

Product Management has requested further review of this enhancement by Red Hat
Engineering, for potential inclusion in a Red Hat Enterprise Linux Update
release for currently deployed products.

This enhancement is not yet committed for inclusion in an Update release. 

Comment 25 Ernie Petrides 2005-11-29 02:49:40 UTC
Fixing state field (from INVESTIGATE to ASSIGNED).

Comment 26 Ernie Petrides 2005-11-30 08:54:10 UTC
PeterM, please demote this off the MustFix list.

Comment 27 Ernie Petrides 2005-12-02 01:37:42 UTC
The SATA update that resolves this has just been committed to the
RHEL3 U7 patch pool this evening (in kernel version 2.4.21-38.EL).


Comment 29 Larry Troan 2005-12-15 04:39:18 UTC
Bugis public. Please put all future communication in bug 130712.

Comment 31 Ernie Petrides 2006-01-11 23:50:40 UTC
*** Bug 145596 has been marked as a duplicate of this bug. ***

Comment 32 Milan Kerslager 2006-01-12 01:48:47 UTC
This seems to work here (kernel version 2.4.21-38.EL) but smartctl needs "-d
ata" and this makes auto-scripting harder than before.

Comment 34 Red Hat Bugzilla 2006-03-15 15:38:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.